{ lib, namespace, ... }:
with lib;
let
  inherit (lib.${namespace}) mkOpt;
in
{
  options.${namespace}.services.home-assistant = {
    enable = mkEnableOption "enable home-assistant";
    mosquittoPort = mkOpt types.int 1883 "Port for MQTT";
    zigbee2mqttPort = mkOpt types.int 8080 "Port for zigbee2mqtt web interface";
    zigbeeDevicePath = mkOpt types.str "/dev/ttyUSB0" "Path to zigbee usb device";
  };
}
